libmodule-starter-perl_1.620+dfsg-1_all.deb


Advertisement

Description

libmodule-starter-perl - simple starter kit for Perl modules

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libmodule-starter-perl
Package version 1.620+dfsg
Package release 1
Package architecture all
Package type deb
Installed size 159 B
Download size 48.15 KB
Official Mirror ftp.br.debian.org
Module::Starter is used to create a skeletal Perl module distribution,
including basic builder scripts, tests, documentation, and module code.
The module-starter script should be enough for most users, but the core
Module::Starter module can also be overridden for more complex situations.

Alternatives

Package Version Architecture Repository
libmodule-starter-perl_1.620+dfsg-1_all.deb 1.620+dfsg all Debian Main
libmodule-starter-perl - - -

Requires

Name Value
libpath-class-perl -
perl -

Download

Type URL
Binary Package libmodule-starter-perl_1.620+dfsg-1_all.deb
Source Package libmodule-starter-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmodule-starter-perl deb package:
    # sudo apt-get install libmodule-starter-perl

Files

Path
/usr/bin/module-starter
/usr/share/doc/libmodule-starter-perl/changelog.Debian.gz
/usr/share/doc/libmodule-starter-perl/changelog.gz
/usr/share/doc/libmodule-starter-perl/copyright
/usr/share/man/man1/module-starter.1p.gz
/usr/share/man/man3/Module::Starter.3pm.gz
/usr/share/man/man3/Module::Starter::App.3pm.gz
/usr/share/man/man3/Module::Starter::BuilderSet.3pm.gz
/usr/share/man/man3/Module::Starter::Plugin.3pm.gz
/usr/share/man/man3/Module::Starter::Plugin::Template.3pm.gz
/usr/share/man/man3/Module::Starter::Simple.3pm.gz
/usr/share/perl5/Module/Starter.pm
/usr/share/perl5/Module/Starter/App.pm
/usr/share/perl5/Module/Starter/BuilderSet.pm
/usr/share/perl5/Module/Starter/Plugin.pod
/usr/share/perl5/Module/Starter/Simple.pm
/usr/share/perl5/Module/Starter/Plugin/Template.pm

Changelog

2013-12-08 - Salvatore Bonaccorso <carnil@debian.org>
libmodule-starter-perl (1.620+dfsg-1) unstable; urgency=medium
* Imported Upstream version 1.620+dfsg
2013-12-06 - Salvatore Bonaccorso <carnil@debian.org>
libmodule-starter-perl (1.610+dfsg-1) unstable; urgency=medium
* Imported Upstream version 1.610+dfsg
* Bump Standards-Version to 3.9.5
* Update copyright years for debian/* packaging
2013-05-06 - Salvatore Bonaccorso <carnil@debian.org>
libmodule-starter-perl (1.600+dfsg-2) unstable; urgency=low
* Upload to unstable
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* Update debian/repack.stub.
* Don't run release tests during package build.
2012-10-28 - Salvatore Bonaccorso <carnil@debian.org>
libmodule-starter-perl (1.600+dfsg-1) experimental; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* Imported Upstream version 1.600+dfsg
+ Tries to quess author from getpwuid if --author is not provided; Tries
to guess email from $ENV{'EMAIL'} if not provided with --email.
(Closes: #472102).
* Replace debian/repack.stub with current version.
Replace debian/repack.stub with current script version provided in
pkg-perl git repository (only typo fixes and reference to git repository
instead of svn repository).
* Update debian/copyright file.
Update format to copyright-format 1.0 as released together with Debian
policy 3.9.3.
Update copyright years for debian/* packaging.
* Bump Standards-Version to 3.9.4
* Bump Debhelper compat level to 9.
Adjust versioned Build-Depends on debhelper to debhelper (>= 9).
* Override dh_auto_test in debian/rules.
Set RELEASE_TESTING=1 to run the two pod tests t/pod.t and
t/pod-coverage.t.
2011-07-03 - Salvatore Bonaccorso <carnil@debian.org>
libmodule-starter-perl (1.580+dfsg-1) unstable; urgency=low
* New upstream release
* debian/patches: Drop spelling-errors-in-manpage.patch as it is
applied upstream now.
2011-05-23 - Salvatore Bonaccorso <carnil@debian.org>
libmodule-starter-perl (1.570+dfsg-1) unstable; urgency=low
[ Nicholas Bamber ]
* New upstream release
* Added spelling fix to patch
[ Salvatore Bonaccorso ]
* debian/control: Add (Build-)Depends(-Indep) on libpath-class-perl.
(Closes: #627236).
* Add myself to Uploaders
* debian/copyright: Update copyright information for debian/*
packaging stanza.
* Bump Standards-Version to 3.9.2 (no changes needed)
2011-04-09 - Nicholas Bamber <nicholas@periapt.co.uk>
libmodule-starter-perl (1.560+dfsg-1) unstable; urgency=low
* Added myself to Uploaders
* New upstream release
* Updated standards version to 3.9.1
* Refreshed copyright
* Added debian/source/format
* Added patch for grammatical error in pod
2009-12-09 - Jonathan Yu <jawnsy@cpan.org>
libmodule-starter-perl (1.540+dfsg-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
- adds option to create .gitignore (closes: #499394)
* Standards-Version 3.8.3 (drop perl version dependency)
[ Ryan Niebur ]
* Update jawnsy's email address
[ gregor herrmann ]
* debian/copyright: update years of upstream copyright.
* debian/control: remove leading article frm short description.

See Also

Package Description
libmodule-starter-plugin-cgiapp-perl_0.42-1_all.deb template based module starter for CGI apps
libmodule-starter-plugin-simplestore-perl_0.144-1_all.deb template storage methods for Module::Starter
libmodule-starter-plugin-tt2-perl_0.125-1_all.deb module providing Template toolkit support for Module::Starter
libmodule-starter-smart-perl_0.0.5-1_all.deb Module::Starter plugin to add new modules into existing distributions
libmodule-used-perl_1.3.0-1_all.deb library to detect modules loaded by Perl code without running it
libmodule-util-perl_1.09-1_all.deb Perl module to manipulate Perl module names
libmodule-versions-report-perl_1.06-1_all.deb Report versions of all modules in memory
libmodule-want-perl_0.6-1_all.deb module to check @INC only once for wanted modules
libmoe-dev_1.5.8-1_i386.deb library to handle multiple octets character encoding scheme (devel files)
libmoe1.5_1.5.8-1_i386.deb library to handle multiple octets character encoding scheme
libmojo-server-fastcgi-perl_0.41-1_all.deb Mojolicious FastCGI Server
libmojolicious-perl_5.54+dfsg-1_all.deb simple, yet powerful, Web Application Framework
libmojolicious-plugin-authentication-perl_1.26-1_all.deb module to make authentication a bit easier for Mojolicious
libmojolicious-plugin-authorization-perl_1.0302-1_all.deb module to make authorization a bit easier for Mojolicious
libmojolicious-plugin-basicauth-perl_0.08-1_all.deb basic HTTP auth helper for Mojolicious
Advertisement
Advertisement